;; This file:
;;   http://angg.twu.net/elisp/my-engrave-faces.el.html
;;   http://angg.twu.net/elisp/my-engrave-faces.el
;;           (find-angg "elisp/my-engrave-faces.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (defun m () (interactive) (find-angg "elisp/my-engrave-faces.el"))
;;
;; https://mail.google.com/mail/u/0/#search/htmlize/KtbxLzFvPkgTpVQqPMbctpfSBpjBBQpDGV
;; (find-es "htmlize" "engrave-faces")
;; (find-engravefacesfile "")

;; (find-sh0 "cp -v ~/LUA/square-cube.lua /tmp/")

(require 'engrave-faces)
(require 'engrave-faces-html)

' (progn
    (find-fline "~/LUA/square-cube.lua")
    (find-ebuffer
     (engrave-faces-buffer "html")
     ))

(defun engrave-faces-file-to-html (file)
  (with-temp-buffer
    (setq buffer-file-name file)
    (insert-file-contents file)
    (normal-mode)
    (font-lock-fontify-buffer)
    (with-current-buffer (engrave-faces-html-buffer-standalone)
      (write-file (concat file ".html"))
      (setq buffer-modified-p nil)
      (kill-buffer))))

(defun my-tranform-char15-to-red-star-html (content)
  (replace-regexp-in-string "\u000f" "<span color=\"red\">*</span>" content))

(defun my-engrave-faces-html-face-mapper (faces content)
  (my-tranform-char15-to-red-star-html (engrave-faces-html-face-mapper faces content)))

(engrave-faces-define-backend "my-html" ".html" #'my-engrave-faces-html-face-mapper)
